Skip to content
Start here

Store catalog credentials

POST/accounts/{account_id}/r2-catalog/{bucket_name}/credential

Store authentication credentials for a catalog. These credentials are used to authenticate with R2 storage when performing catalog operations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
Path ParametersExpand Collapse
account_id: string

Use this to identify the account.

bucket_name: string

Specifies the R2 bucket name.

maxLength63
minLength3
Body ParametersJSONExpand Collapse
token: string

Provides the Cloudflare API token for accessing R2.

ReturnsExpand Collapse
errors: array of object { code, message }

Contains errors if the API call was unsuccessful.

code: number

Specifies the error code.

message: string

Describes the error.

messages: array of object { code, message }

Contains informational messages.

code: number

Specifies the message code.

message: string

Contains the message text.

success: boolean

Indicates whether the API call was successful.

result: optional unknown

Store catalog credentials

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/r2-catalog/$BUCKET_NAME/credential \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "token": "your-cloudflare-api-token-here"
        }'
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}